#!/usr/bin/perl

use strict;
use warnings;

use ExtUtils::MakeMaker;
use Pod::Text;

my $parser = new Pod::Text(sentence => 0, width => 78);
$parser->parse_from_file ('lib/Quak.pm', 'README');

eval 'use ExtUtils::MakeMaker::Coverage';

WriteMakefile(
	'NAME' => 'quak',
	'AUTHOR' => 'Philippe Kueck <projects@unixadm.org>',
	'LICENSE' => 'LGPL',
	'VERSION_FROM' => 'bin/quak',
	'ABSTRACT' => 'Quak Jabbercomponent',
	'PL_FILES' => {},
	'EXE_FILES' => [qw(bin/quak)],
	'PM' => {
		'lib/Quak/NamespacesCopy.pm' => '$(INST_LIB)/Quak/NamespacesCopy.pm',
		'lib/Quak/Plugins.pm' => '$(INST_LIB)/Quak/Plugins.pm',
		'lib/Quak/Roster.pm' => '$(INST_LIB)/Quak/Roster.pm',
		'lib/Quak/Utilities.pm' => '$(INST_LIB)/Quak/Utilities.pm',
		'lib/Quak/XEP0133.pm' => '$(INST_LIB)/Quak/XEP0133.pm'
	},
	'PREREQ_PM' => {
		'Net::XMPP' => 0,
		'Net::Jabber' => 0,
		'DBI' => 0,
		'Getopt::Long' => 0,
		'File::Path' => 0
	},
	'dist' => {'COMPRESS' => 'gzip -9f', 'SUFFIX' => 'gz'},
	'clean' => {'FILES' => 'bogus'}
);
