package management;

use strict;
use warnings;

use Quak::Plugins;
use Quak::Utilities;
use Quak::XEP0133;

Quak::Plugins::register(
	['message', \&terminate, qr/^die$/],
	['message', \&listonline, qr/^online$/],
	['message', \&subscribe, qr/^subscribe /],
	['message', \&unsubscribe, qr/^unsubscribe /],
	['message', \&do_admin, qr/^admin /],
	['message', \&get_stats, qr/^stats/],
);

sub subscribe {$::roster->subscribe(($_[0]->GetBody =~ /^subscribe\s+(.+)$/)[0])}
sub unsubscribe {$::roster->unsubscribe(($_[0]->GetBody =~ /^subscribe\s+(.+)$/)[0])}
sub do_admin {admin(($_[0]->GetBody =~ /^admin\s+(.+)$/)[0])}

# admin get-server-stats
sub get_stats {
	my $reply = $_[0]->Reply;
	my $body = "\n";
	if ($_[0]->GetBody =~ /^stats\s+/) {
		foreach (m/\s+(.*?)(?:\s+|$)/g) {
			next unless defined $::stats->{$_};
			$body .= sprintf "%s: %s\n", $_, $::stats->{$_}
		}
	} else {
		foreach (keys %{$::stats}) {
			$body .= sprintf "%s: %s\n", $_, $::stats->{$_}
		}
	}
	$reply->SetMessage('body' => $body);
	Send($reply)
}

sub listonline {
	my $reply = $_[0]->Reply;
	my $body = "\n";
	$body .= sprintf "online users:\n%s\n---\n", join ", ", $::roster->online_jids;
	$body .= sprintf "subscribed users:\n%s\n---\n", join ", ", $::roster->subscribed_jids;
	$body .= sprintf "online & subscribed users:\n%s\n---\n", join ", ", $::roster->online_subscribed_jids;
	$reply->SetMessage('body' => $body);
	Send($reply)
}

sub terminate {
	return unless $_[0]->GetFrom =~ m/^me\@jabber\.yourdomain\.tld(?:$|\/)/;
	::disconnect
}

1
