=head1 NAME

quak - a jabber component (framework)

=head1 VERSION

0.3

=head1 SYNOPSIS

 quak.pl [/path/to/config_file]

=head1 DESCRIPTION

Quak is a simple jabber component (framework).

It connects to a jabber server as a component and acts like a normal bot.

You can add plugins to make the bot react on several events.

=head1 DEPENDENCIES

=over 8

=item * Net::XMPP

=item * Net::Jabber

=item * DBI

=back

=head1 INSTALLATION

 perl Makefile.PL
 make install

=head1 CONFIGURATION

By default, quak uses /etc/quak.conf as config file.

Configuration directives:

=over 8

=item B<domain> = I<jabber.yourdomain.example>

the jabber server/domain

=item B<hostname> = I<jabber.unixadm.org>

the jabber hostname to connect to. Defaults to B<domain>.

=item B<me> = I<quak.jabber.yourdomain.example>

how quak should name itself

=item B<component> = I<component.jabber.yourdomain.example>

the component name

=item B<port> = I<5275>

port to connect to

=item B<secret> = I<yoursupersecret>

the component's password

=item B<quakuser> = I<user>

user to run quak as

=item B<quakgroup> = I<group>

group to run quak as

=item B<logdir> = I</path/to>

path to directory where quak logs it's output

=item B<dbfile> = I</path/to/quak.db>

sqlite3 database file quak shall use

=item B<plugindir> = I</path/to/plugins>

path to plugin directory

=item B<plugins> = I<list of plugins>

plugins to load

=back

=head1 SEE ALSO

L<Quak::Plugins>, L<Quak::Utilities>

=head1 AUTHOR

Philippe Kueck <projects at unixadm dot org>
