package Quak::NamespacesCopy;

use strict;
use warnings;

{
&Net::XMPP::Namespaces::add_ns(
	'ns' => 'http://jabber.org/protocol/packet#event',
	'tag' => 'copy',
	'xpath' => {
		'Processed' => {'type' => 'scalar', 'path' => '@processed'},
		'Incoming' => {'type' => 'scalar', 'path' => '@incoming'},
		'Outgoing' => {'type' => 'scalar', 'path' => '@outgoing'},
		'Date' => {'type' => 'timestamp', 'path' => '@date'},
		'Child' => {'type' => 'child', 'path' => '*[@xmlns]', 'child' => {}},
		'Presence' => {'type' => 'child', 'path' => 'presence', 'child' => {}},
		'IQ' => {'type' => 'child', 'path' => 'iq', 'child' => {}},
		'Message' => {'type' => 'child', 'path' => 'message', 'child' => {}},
		'PresenceError' => {'path' => 'presence/error/text()'},
		'PresenceErrorCode' => {'path' => 'presence/error/@code'},
		'PresenceFrom' => {'type' => 'jid', 'path' => 'presence/@from'},
		'PresenceID' => {'path' => 'presence/@id'},
		'PresencePriority' => {'path' => 'presence/priority/text()'},
		'PresenceShow' => {'path' => 'presence/show/text()'},
		'PresenceStatus' => {'path' => 'presence/status/text()'},
		'PresenceTo' => {'type' => 'jid', 'path' => 'presence/@to'},
		'PresenceType' => {'path' => 'presence/@type'},
	},  
	'calls' => ["Get", "Defined"]
)
}

# bogus, greift nicht
{
&Net::XMPP::Namespaces::add_ns(
	'ns' => '__netxmpp__:presence:tag',
	'tag' => 'presence',
	'xpath' => {
		'Error' => {'path' => 'error/text()'},
		'ErrorCode' => {'path' => 'error/@code'},
		'From' => {'type' => 'jid', 'path' => '@from'},
		'ID' => {'path' => '@id'},
		'Priority' => {'path' => 'priority/text()'},
		'Show' => {'path' => 'show/text()'},
		'Status' => {'path' => 'status/text()'},
		'To' => {'type' => 'jid', 'path' => '@to'},
		'Type' => {'path' => '@type'},
		'Presence' => {'type' => 'master'},
		'Child' => {'type' => 'child', 'child' => {}, 'path' => '*[@xmlns]'}
	},  
	'calls' => ["Get", "Defined"]
)
}

1
