Name: quak
Version: 0.3
Release: 1%{?dist}
Summary: a jabber component framework
License: LGPL
Group: Networking/Daemons
URL: http://www.unixadm.org/software/%{name}/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: perl(ExtUtils::MakeMaker)
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires: perl(DBI) perl(DBD::SQLite)
# from EPEL
Requires: perl(Net::XMPP) perl(Net::Jabber)
Requires(pre): %{_sbindir}/groupadd, %{_sbindir}/useradd
%systemd_requires


%description
This is a jabber component framework including an example component.


%prep
%setup -q


%build
perl Makefile.PL INSTALLDIRS=vendor
make


%install
[ '%{buildroot}' != '/' ] && rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}
sed -r -e 's|/path/to|%{_localstatedir}/lib/%{name}|g' contrib/%{name}.conf \
	> %{buildroot}%{_sysconfdir}/%{name}.conf
install -Dp -m0644 contrib/%{name}.service %{buildroot}%{_unitdir}/%{name}.service
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -depth -type d -empty -delete
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}/plugins

%{_fixperms} %{buildroot}/*


%clean
[ '%{buildroot}' != '/' ] && rm -rf %{buildroot}


%pre
%{_sbindir}/groupadd -r quak 2>/dev/null
%{_sbindir}/useradd -d %{_localstatedir}/lib/%{name} -s /sbin/nologin -g quak -M quak 2>/dev/null
exit 0


%post
%systemd_post %{name}.service
exit 0


%preun
%systemd_preun %{name}.service
exit 0


%postun
%systemd_postun_with_restart %{name}.service


%files
%doc examples README COPYING
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/quak
%{_unitdir}/%{name}.service
%dir %attr(0755, quak, quak) %{_localstatedir}/lib/%{name}
%dir %attr(0755, quak, quak) %{_localstatedir}/lib/%{name}/plugins
%dir %{perl_vendorlib}/Quak
%{perl_vendorlib}/Quak/NamespacesCopy.pm
%{perl_vendorlib}/Quak/Plugins.pm
%{perl_vendorlib}/Quak/Roster.pm
%{perl_vendorlib}/Quak/Utilities.pm
%{perl_vendorlib}/Quak/XEP0133.pm
%{_mandir}/man3/Quak::Plugins.3pm*
%{_mandir}/man3/Quak::Roster.3pm*
%{_mandir}/man3/Quak::Utilities.3pm*


%changelog
* Fri Nov  4 2016 Philippe Kueck <projects@unixadm.org> - 0.3-1
- bump to 0.3
- add systemd unit
- add manpages

* Mon Feb 10 2014 Philippe Kueck <projects@unixadm.org> - 0.2-2
- fix url

* Thu Jun 27 2013 Philippe Kueck <projects@unixadm.org> - 0.2-1
- new release

* Wed Jun 26 2013 Philippe Kueck <projects@unixadm.org> - 0.1-1
- initial packaging
